<?php 
/** 
 * The main template file
 *
 * @package  WordPress
 * @subpackage  medidove
 */
get_header(); 

$services_column = is_active_sidebar( 'services-sidebar' ) ? 8 : 12 ;

?>

    <section class="details_section service_details sec_ptb_130 bg_gray clearfix">
        <div class="container">
            <?php 
            if( have_posts() ):
                while( have_posts() ): the_post();
                    $department_details_thumb = function_exists('get_field') ? get_field('department_details_thumb') : '';
                    $department_feathures_list = function_exists('get_field') ? get_field('department_feathures_list') : '';
                    $download_info = function_exists('get_field') ? get_field('download_info') : '';
                    // video
                    $department_video_image = function_exists('get_field') ? get_field('department_video_image') : '';

                    // department short info
                    $department_bottom_thumb = function_exists('get_field') ? get_field('department_bottom_thumb') : '';
                    $department_bottom_text = function_exists('get_field') ? get_field('department_bottom_text') : '';  

            ?>
            <div class="row justify-content-lg-between justify-content-md-center justify-content-sm-center">
                <div class="col-lg-<?php print esc_attr($services_column); ?> col-md-<?php print esc_attr($services_column); ?>">
                    <div class="details_content">

                        <?php if (!empty($department_details_thumb['url'])) : ?>
                        <div class="details_image mb_30 wow fadeInUp2" data-wow-delay=".3s">
                            <img src="<?php echo esc_url($department_details_thumb['url']); ?>" alt="">
                        </div>
                        <?php endif; ?>

                        <div class="wow fadeInUp2" data-wow-delay=".1s">
                            <h2 class="item_title mb_15"><?php the_title(); ?></h2>
                            <div class="mb_30">
                                <?php the_content(); ?>
                            </div>
                        </div>

                        <div class="design_guideline_info mb_50">
                            <?php if (!empty($department_feathures_list)) : ?>
                            <div class="guideline_content wow fadeInUp2" data-wow-delay=".1s">
                                <?php echo wp_kses_post($department_feathures_list); ?>
                            </div>
                            <?php endif; ?>

                            <div class="guideline_content wow fadeInUp2" data-wow-delay=".1s">
                                <h3 class="item_title mb_30"> <?php echo wp_kses_post( $download_info['title'] ); ?></h3>
                                <p class="mb_30">
                                     <?php echo wp_kses_post( $download_info['info'] ); ?>
                                </p>
                                <ul class="btns_group ul_li_block clearfix">
                                    <?php if (!empty($download_info['button_one'])) : ?>
                                    <li>
                                        <a class="custom_btn btn_border" href="<?php echo esc_url( $download_info['button_one_link'] ); ?>">
                                            <?php echo wp_kses_post( $download_info['button_one'] ); ?> 
                                            <span class="bg_default_orange"><i class="fal fa-arrow-right"></i></span>
                                        </a>
                                    </li>
                                    <?php endif; ?>
                                    <?php if (!empty($download_info['button_two'])) : ?>
                                    <li>
                                        <a class="custom_btn btn_border" href="<?php echo esc_url( $download_info['button_two_link'] ); ?>">
                                            <?php echo wp_kses_post( $download_info['button_two'] ); ?> 
                                            <span class="bg_default_yellow"><i class="fal fa-arrow-right"></i></span>
                                        </a>
                                    </li>
                                    <?php endif; ?>
                                    <?php if (!empty($download_info['button_three'])) : ?>
                                    <li>
                                        <a class="custom_btn btn_border" href="<?php echo esc_url( $download_info['button_three_link'] ); ?>">
                                            <?php echo wp_kses_post( $download_info['button_three'] ); ?> 
                                            <span class="bg_default_lightblue"><i class="fal fa-arrow-right"></i></span>
                                        </a>
                                    </li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                        </div>


                        <?php if (!empty($department_bottom_thumb['url'])) : ?>
                        <div class="details_image mb_30 wow fadeInUp2" data-wow-delay=".1s">
                            <img src="<?php echo esc_url($department_bottom_thumb['url']); ?>" alt="">
                        </div>
                        <?php endif; ?>

                        <?php if (!empty($department_bottom_text)) : ?>
                         <p class="mb-0 wow fadeInUp2" data-wow-delay=".1s">
                            <?php echo wp_kses_post($department_bottom_text); ?>
                        </p> 
                        <?php endif; ?>
                    </div>
                </div>

                <?php if ( is_active_sidebar( 'services-sidebar' ) ) : ?>
                <div class="col-xl-4 col-lg-4">
                    <aside class="sidebar_section clearfix">
                        <?php do_action("frintem_service_sidebar"); ?>
                    </aside>
                </div>
                <?php endif; ?>
                
            </div>
            <?php 
                endwhile; wp_reset_query();
            endif; 
            ?>
        </div>
    </section>


<?php get_footer();  ?>